package com.landray.kmss.sys.attachment.thirdSfs.rest.controller;

import org.springframework.web.bind.annotation.GetMapping;
import com.alibaba.fastjson.JSONObject;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpServletRequest;
import com.landray.kmss.web.annotation.RestApi;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.landray.kmss.sys.attachment.thirdSfs.rest.extend.SysAttExtendFoxitRestService;
import com.landray.kmss.sys.attachment.thirdSfs.rest.SysAttThirdController;

@RestController
@RequestMapping({ "/api/sys-attachment/foxitSfs" })
@RestApi(docUrl = "/sys/attachment/restservice/sysAttFoxitRestServiceHelp.jsp", name = "SysAttFoxitSfsController", resourceKey = "sys-attachment:SysAttFoxitSfsController.title")
public class SysAttFoxitSfsController extends SysAttThirdController<SysAttExtendFoxitRestService>
{
    @GetMapping({ "/download" })
    public void download(final HttpServletRequest request, final HttpServletResponse response) throws Exception {
        final String sysToken = request.getParameter("sysToken");
        final String fileId = request.getParameter("fileId");
        final JSONObject params = new JSONObject();
        params.put("sysToken", (Object)sysToken);
        params.put("fileId", (Object)fileId);
        params.put("response", (Object)response);
        this.getSysAttStandardThirdRestService(request).download(params);
    }
    
    @GetMapping({ "/permission" })
    public JSONObject permission(final HttpServletRequest request, final HttpServletResponse response) throws Exception {
        final String userId = request.getParameter("userId");
        final String fileId = request.getParameter("fileId");
        final String canPrint = request.getParameter("canPrint");
        final JSONObject params = new JSONObject();
        params.put("userId", (Object)userId);
        params.put("fileId", (Object)fileId);
        params.put("canPrint", (Object)canPrint);
        return ((SysAttExtendFoxitRestService)this.getSysAttExtendThirdRestService(request)).permission(params).getData();
    }
    
    @GetMapping({ "/watermark" })
    public JSONObject watermark(final HttpServletRequest request, final HttpServletResponse response) throws Exception {
        final String userId = request.getParameter("userId");
        final JSONObject params = new JSONObject();
        params.put("userId", (Object)userId);
        params.put("request", (Object)request);
        return ((SysAttExtendFoxitRestService)this.getSysAttExtendThirdRestService(request)).watermark(params).getData();
    }
}
